IMG2CIF(1)

NAME
img2cif - filter to convert detector images to CBF format

SYNOPSIS
img2cif [options] files...

DESCRIPTION
img2cif is a program that converts an image file from a MAR180, MAR300, MAR345 or ADSC CCD detector to CBF format. In addition, img2cif includes code to process files from stdin and to stdout, so the program can be used in a pipe.

OPTIONS

-i input_image
    (default: stdin) the input_image file in MAR300, MAR345 or ADSC CCD detector format is given. If no input_image file is specified or is given as "-", an image is copied from stdin to a temporary file.

-o output_cif
    (default: stdout) the output cif (if base64 or quoted-printable encoding is used) or cbf (if no encoding is used). if no output_cif is specified or is given as "-", the output is written to stdout

-c compression_scheme
    (packed, canonical or none, default packed)

-m [no]headers
    (default headers for cifs, noheaders for cbfs) selects MIME (N. Freed, N. Borenstein, RFC 2045, November 1996) headers within binary data value text fields.

-d [no]digest
    (default md5 digest [R. Rivest, RFC 1321, April 1992 using"RSA Data Security, Inc. MD5 Message-Digest Algorithm"] when MIME headers are selected)

-e encoding
    (base64, quoted-printable, decimal, hexadecimal, octal or none, default: base64) specifies one of the standard MIME encodings (base64 or quoted-printable) or a non-standard decimal, hexamdecimal or octal encoding for an ascii cif or "none" for a binary cbf

-b direction
    (forward or backwards, default: natural direction) specifies the direction of mapping of bytes into words for decimal, hexadecimal or octal output, marked by '>' for forward or '<' for backwards as the second character of each line of output, and in '#' comment lines.

SEE ALSO
convert_image(1), cif2cbf(1), makecbf(1).

AUTHOR
img2cif was written by Herbert J. Bernstein.

This manual page was written by Morten Kjeldgaard <mok@bioxray.au.dk>, for the Debian project (but may be used by others).